#include "include/IPWritingService.hpp"
#include "include/networkUtils.hpp"
#include "include/Display.hpp"

IPWritingService::IPWritingService() {
  writing_thread = std::thread(&IPWritingService::writing_loop, this);
  writing_thread.detach();
}

void IPWritingService::writing_loop() {
  while (true) {
    auto host_and_ip = networkUtils::get_current_host_and_ip();
    Display::write(2, std::get<0>(host_and_ip));
    Display::write(3, std::get<1>(host_and_ip));
    std::this_thread::sleep_for(std::chrono::seconds(5));
  }
}
